Bug 1579987 - [abrt] freerdp: xfreerdp killed by SIGSEGV
Summary: [abrt] freerdp: xfreerdp killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3fa8b0cebd62e98ce9d4ad869cc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 22:27 UTC by Scot Hale
Modified: 2018-08-23 10:33 UTC (History)
5 users (show)

Fixed In Version: freerdp-2.0.0-44.rc3.fc27 freerdp-2.0.0-44.rc3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.62 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: cgroup (198 bytes, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: core_backtrace (20.68 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: dso_list (5.34 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: environ (6.42 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: maps (26.37 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: mountinfo (3.32 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: open_fds (2.09 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-18 22:27 UTC, Scot Hale
no flags Details

Description Scot Hale 2018-05-18 22:27:11 UTC
Description of problem:
When outlook 2013 is running on windows and I get a new mail notification, a popup in the bottom right corner will try to show the summary of the email.  Then xfreerdp core dumps.  This doesn't happen everytime, but it is quite often.  I can usually restart xfreerdp and continue remoting until the next email comes in.

Version-Release number of selected component:
2:freerdp-2.0.0-41.20180405gita9ecd6a.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        xfreerdp +clipboard +heartbeat /f /u:scoth /v:scoth02.corp.amdocs.com /p:*********** /sound:sys:alsa
executable:     /usr/bin/xfreerdp
journald_cursor: s=0247e343efd345649ab9249713597ab7;i=227aef;b=acf2460b9d1e49e7a04de5f3dc1fdb17;m=1f747734f1;t=56c7c05df9191;x=76a697f42dc983b4
kernel:         4.16.8-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Scot Hale 2018-05-18 22:27:16 UTC
Created attachment 1438815 [details]
File: backtrace

Comment 2 Scot Hale 2018-05-18 22:27:17 UTC
Created attachment 1438816 [details]
File: cgroup

Comment 3 Scot Hale 2018-05-18 22:27:17 UTC
Created attachment 1438817 [details]
File: core_backtrace

Comment 4 Scot Hale 2018-05-18 22:27:18 UTC
Created attachment 1438818 [details]
File: cpuinfo

Comment 5 Scot Hale 2018-05-18 22:27:19 UTC
Created attachment 1438819 [details]
File: dso_list

Comment 6 Scot Hale 2018-05-18 22:27:20 UTC
Created attachment 1438820 [details]
File: environ

Comment 7 Scot Hale 2018-05-18 22:27:21 UTC
Created attachment 1438821 [details]
File: limits

Comment 8 Scot Hale 2018-05-18 22:27:22 UTC
Created attachment 1438822 [details]
File: maps

Comment 9 Scot Hale 2018-05-18 22:27:23 UTC
Created attachment 1438823 [details]
File: mountinfo

Comment 10 Scot Hale 2018-05-18 22:27:24 UTC
Created attachment 1438824 [details]
File: open_fds

Comment 11 Scot Hale 2018-05-18 22:27:24 UTC
Created attachment 1438825 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2018-08-20 14:40:18 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 13 Fedora Update System 2018-08-20 14:41:22 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 14 Fedora Update System 2018-08-22 00:33:11 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 15 Fedora Update System 2018-08-22 03:12:41 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 16 Fedora Update System 2018-08-23 09:45:28 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-08-23 10:33:18 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.